Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class ComponentVillageTorch

    java.lang.Object
      net.minecraft.src.StructureComponent
          net.minecraft.src.ComponentVillage
              net.minecraft.src.ComponentVillageTorch

    public class ComponentVillageTorch

extends ComponentVillage

Constructor Summary
`ComponentVillageTorch(ComponentVillageStartPiece par1ComponentVillageStartPiece, int par2, Random par3Random, StructureBoundingBox par4StructureBoundingBox, int par5)`

Method Summary
`boolean` | `addComponentParts(World par1World, Random par2Random, StructureBoundingBox par3StructureBoundingBox)` second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
`static StructureBoundingBox` | `func_74904_a(ComponentVillageStartPiece par0ComponentVillageStartPiece, List par1List, Random par2Random, int par3, int par4, int par5, int par6)`

Methods inherited from class net.minecraft.src.StructureComponent
`buildComponent, findIntersecting, getBoundingBox, getCenter, getComponentType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentVillageTorch

    public ComponentVillageTorch(ComponentVillageStartPiece par1ComponentVillageStartPiece,
                                 int par2,
                                 Random par3Random,
                                 StructureBoundingBox par4StructureBoundingBox,
                                 int par5)

Method Detail

### func_74904_a

    public static StructureBoundingBox func_74904_a(ComponentVillageStartPiece par0ComponentVillageStartPiece,
                                                    List par1List,
                                                    Random par2Random,
                                                    int par3,
                                                    int par4,
                                                    int par5,
                                                    int par6)

### addComponentParts

    public boolean addComponentParts(World par1World,
                                     Random par2Random,
                                     StructureBoundingBox par3StructureBoundingBox)

  second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...

  Specified by:
    `addComponentParts` in class `StructureComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD